.flex-row{
    display: flex;
    flex-direction: row;
}
.flex-column{
    display: flex;
    flex-direction: column;
}
.flex-column-center{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.flex-row-center {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.align-center{align-items: center;}

.justify-center {justify-content: center;}
.justify-space-between{justify-content: space-between;}
.justify-space-evenly{justify-content: space-evenly;}
.justify-space-around {justify-content: space-around;}
.justify-flex-start {justify-content: flex-start;}
.justify-flex-end {justify-content: flex-end;}



.color-white{color: white;}
.color-gray{color: gray;}
.color-black{color: black;}

.bg-32{background-color: rgb(32, 32, 32);}
.bg-60{background-color: rgb(60, 60, 60);}

.font-small{font-size: 0.5rem;}
.font-little{font-size: 0.75rem;}
.font-normal{font-size: 1rem;}
.font-md{font-size: 1.2rem;}
.font-large{font-size: 1.5rem;}
.font-huge{font-size: 2rem;}


.width-full{width: 100%;}
.height-full{height: 100%;}

.absolute-center{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.absolute-horizontal-center {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.absolute-vertical-center {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.absolute-bottom{
    position: absolute;
    bottom: 0;
}
.absolute-bottom-5{
    position: absolute;
    bottom: 5%;
}
.absolute-bottom-10{
    position: absolute;
    bottom: 10%;
}


.hover-pointer:hover{
    cursor: pointer;
    opacity: 0.7;
}


.margin-left-auto{margin-left: auto;}
.margin-left-10px{margin-left: 10px;}

.border-box{box-sizing: border-box;}

.padding-horizontal-5px{
    padding-right: 5px;
    padding-left: 5px;
}

.padding-horizontal-20px{
    padding-right: 20px;
    padding-left: 20px;
}

.transition-100ms{transition: all 100ms linear;}
.transition-200ms{transition: all 200ms linear;}
.transition-300ms{transition: all 300ms linear;}

.overflow-hidden{overflow: hidden;}

.position-relative{position: relative;}
.position-fixed{position: fixed;}
.position-absolute{position: absolute;}